Package com.io7m.waxmill.machines

# Interface WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType

All Superinterfaces:
  `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`

All Known Implementing Classes:
  `WXMEvaluatedBootConfigurationGRUBBhyve`

Enclosing interface:
  WXMBootConfigurationType

    @Immutable
    public static interface WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType
    extends WXMBootConfigurationType.WXMEvaluatedBootConfigurationType

A set of evaluated commands used to boot with grub-bhyve.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default void` | `checkPreconditions()` | Check preconditions for the type.
  `WXMEvaluatedBootCommands` | `commands()` |
  `java.util.List<java.lang.String>` | `deviceMap()` |
  `java.nio.file.Path` | `deviceMapFile()` |
  `java.util.List<java.lang.String>` | `grubConfiguration()` |
  `java.nio.file.Path` | `grubConfigurationFile()` |
  `default WXMBootConfigurationType.Kind` | `kind()` |
  `java.util.Set<java.nio.file.Path>` | `requiredNMDMs()` |
  `java.util.List<java.nio.file.Path>` | `requiredPaths()` |

- ## Method Details

  - ### kind

    default WXMBootConfigurationType.Kind kind()
    Specified by:
      `kind` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The kind of underlying kernel

  - ### requiredPaths

    java.util.List<java.nio.file.Path> requiredPaths()
    Specified by:
      `requiredPaths` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The files required to exist by the boot configuration

  - ### requiredNMDMs

    java.util.Set<java.nio.file.Path> requiredNMDMs()
    Specified by:
      `requiredNMDMs` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The nmdm files required to exist by the boot configuration

  - ### commands

    WXMEvaluatedBootCommands commands()
    Specified by:
      `commands` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The set of commands required to bring up the virtual machine

  - ### deviceMapFile

    java.nio.file.Path deviceMapFile()
    Returns:
      A file that will contain a GRUB device map

  - ### deviceMap

    java.util.List<java.lang.String> deviceMap()
    Returns:
      The lines that will be written to the GRUB device map

  - ### grubConfigurationFile

    java.nio.file.Path grubConfigurationFile()
    Returns:
      A file that will contain a GRUB configuration

  - ### grubConfiguration

    java.util.List<java.lang.String> grubConfiguration()
    Returns:
      The lines that will be written to the GRUB configuration file

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check preconditions for the type.